# List of what things are called in the files

**Legends**

```
Bangalore = settings/player/mp/pilot_survival_firesupport.rpak
Bloodhound = settings/player/mp/pilot_survival_tracker.rpak
Caustic = settings/player/mp/pilot_survival_gas.rpak
Crypto = settings/player/mp/pilot_survival_crypto.rpak
Gibraltar = settings/player/mp/pilot_survival_gunner.rpak
Lifeline = settings/player/mp/pilot_survival_medic.rpak
Mirage = settings/player/mp/pilot_survival_holopilot.rpak
Octane = settings/player/mp/pilot_survival_stim.rpak
Pathfinder = settings/player/mp/pilot_survival_grapple.rpak
Wattson = settings/player/mp/pilot_survival_barricade.rpak
Wraith = settings/player/mp/pilot_survival_closer.rpak
```

**Abilities**

```
Bangalore Tactical = mp_weapon_grenade_bangalore
Bangalore Ultimate = mp_weapon_grenade_creeping_bombardment
Bloodhound Tactical = mp_ability_area_sonar_scan
Bloodhound Ultimate = mp_ability_hunt_mode
Caustic Tactical = mp_weapon_dirty_bomb
Caustic Ultimate = mp_weapon_grenade_gas
Crypto Tactical = mp_ability_crypto_drone
Crypto Ultimate = mp_ability_crypto_drone_emp
Gibraltar Passive = mp_ability_gibraltar_shield
Gibraltar Tactical = mp_weapon_bubble_bunker
Gibraltar Ultimate = mp_weapon_grenade_defensive_bombardment
Lifeline Tactical = mp_weapon_deployable_medic
Lifeline Ultimate = mp_ability_care_package
Mirage Tactical = mp_ability_holopilot
Mirage Ultimate = mp_ability_mirage_ultimate
Octane Tactical = mp_ability_heal
Octane Ultimate = mp_weapon_jump_pad
Pathfinder Tactical = mp_ability_grapple
Pathfinder Ultimate = mp_weapon_zipline
Wattson Tactical = mp_weapon_tesla_trap
Wattson Ultimate = mp_weapon_trophy_defense_system
Wraith Tactical = mp_ability_phase_walk
Wraith Ultimate = mp_weapon_phase_tunnel
```

**Weapons**

```
Alternator = mp_weapon_alternator_smg
Charge Rifle = mp_weapon_defender
Devotion = mp_weapon_esaw
EPG = mp_weapon_epg
EVA8 = mp_weapon_shotgun
Flatline = mp_weapon_vinson
G7 = mp_weapon_g2
Havoc = mp_weapon_energy_ar
Hemlok = mp_weapon_hemlok
Kraber = mp_weapon_sniper
Longbow = mp_weapon_dmr
Lstar = mp_weapon_lstar
Mastiff = mp_weapon_mastiff
Mozambique = mp_weapon_shotgun_pistol
P2020 = mp_weapon_semipistol
Peacekeeper = mp_weapon_energy_shotgun
Prowler = mp_weapon_pdw
R301 = mp_weapon_rspn101
R99 = mp_weapon_r97
RE45 = mp_weapon_autopistol
Smart Pistol = mp_weapon_smart_pistol
Spitfire = mp_weapon_lmg
Triple Take = mp_weapon_doubletake
Wingman = mp_weapon_wingman
```

**Grenades**

```
Arc Star = mp_weapon_grenade_emp
Frag = mp_weapon_frag_grenade
Thermite = mp_weapon_thermite_grenade
```

**Optics**

```
Short Range:
x1 HCOG Classic - optic_cq_hcog_classic
x2 HCOG Bruiser - optic_cq_hcog_bruiser
x1 Holosight - optic_cq_holosight
x1 Digital Threat - optic_cq_threat
x1-2 Holosight Variable - optic_cq_holosight_variable

Middle Range:
x3 HCOG Ranger - optic_ranged_hcog
x2-4 AOG Variable - optic_ranged_aog_variable

Long Range:
x6 Sniper - optic_sniper
x4-8 Sniper Variable - optic_sniper_variable
x4-10 Sniper Digital Threat - optic_sniper_threat
```

**Barrel**

```
Level 1 - barrel_stabilizer_l1
Level 2 - barrel_stabilizer_l2
Level 3 - barrel_stabilizer_l3
Level 4(Gold) - barrel_stabilizer_l4_flash_hider
```

**Stock**

```
Tactical:
Level 1 - stock_tactical_l1
Level 2 - stock_tactical_l2
Level 3 - stock_tactical_l3

Sniper:
Level 1 - stock_sniper_l1
Level 2 - stock_sniper_l2
Level 3 - stock_sniper_l3
```

**Shotgun Bolts**

```
Level 1 - shotgun_bolt_l1
Level 2 - shotgun_bolt_l2
Level 3 - shotgun_bolt_l3
```

**Mags**

```
Light:
Level 1 - bullets_mag_l1
Level 2 - bullets_mag_l2
Level 3 - bullets_mag_l3

Heavy:
Level 1 - highcal_mag_l1
Level 2 - highcal_mag_l2
Level 3 - highcal_mag_l3

Energy:
Level 1 - energy_mag_l1
Level 2 - energy_mag_l2
Level 3 - energy_mag_l3
```

**Hopup**

```
Turbocharger = hopup_turbocharger
Selectfire Receiver = hopup_selectfire
Precision Choke = hopup_energy_choke
Hammerpoint Rounds = hopup_unshielded_dmg
Anvil Receiver = hopup_highcal_rounds
Double Tap = hopup_double_tap
```

**Helmet**

```
helmet_pickup_lv1
helmet_pickup_lv2
helmet_pickup_lv3
helmet_pickup_lv4_abilities
```

**Backpack**

```
backpack_pickup_lv1
backpack_pickup_lv2
backpack_pickup_lv3
backpack_pickup_lv4_revive_boost
```

**Armor / Bodyshield**

```
armor_pickup_lv1
armor_pickup_lv2
armor_pickup_lv3
armor_pickup_lv4_all_fast
```

**Incapshield / Knockdown Shields**

```
incapshield_pickup_lv1
incapshield_pickup_lv2
incapshield_pickup_lv3
incapshield_pickup_lv4_selfrevive
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.r5reloaded.com/helpful-commands/list-of-what-things-are-called-in-the-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
